%define debug_package %{nil}

Name:         mapcache
%define github_version rel-1-12-0
Version:      1.12.0
Release:      K05%{?dist}
License:      BSD-2-Clause
Group:        Productivity/Networking/Web/Servers
Requires:     httpd httpd-mmn
Autoreqprov:  on
Summary:      Apache2 module to restrict bandwidth
Url:          http://www.mapserver.org/trunk/mapcache/install.html
#             https://github.com/MapServer/mapcache/releases
Source0:      http://download.osgeo.org/mapserver/%{name}-%{github_version}.tar.gz

BuildRequires: chrpath

BuildRequires: httpd-devel
BuildRequires: apr-util-devel
BuildRequires: apr-devel
BuildRequires: libgeotiff-devel
BuildRequires: libtiff-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: expat-devel
BuildRequires: pcre-devel
BuildRequires: curl-devel
BuildRequires: fcgi-devel
BuildRequires: cmake
BuildRequires: geos-devel
BuildRequires: gdal-devel
BuildRequires: proj-devel
BuildRequires: postgresql-devel
BuildRequires: gcc-c++
BuildRequires: hdf5-devel
BuildRequires: pixman-devel
BuildRequires: sqlite-devel
BuildRequires: mapserver
BuildRequires: libdb-devel
BuildRequires: libpq-devel
BuildRequires: hiredis-devel


%description
MapCache is a high performance tiling server, that runs in native code either as a FastCGI, 
an Apache module, or an Nginx module. It supports a wide variety of protocols 
(WMTS, TMS, WMS, VirtualEarth, KML, ...) and storage backends (Disk, SQlite, Memcache, GeoTIFF files, BerkeleyBD, ...)
and provides options for dynamically responding to client requests by assembling cached tiles.


%prep
%setup -n %{name}-%{github_version}

%build
%cmake \
      %{_cmake_skip_rpath} \
 -DWITH_TIFF=1 -DWITH_GEOTIFF=1 -DWITH_TIFF_WRITE_SUPPORT=1 \
 -DWITH_BERKELEY_DB=1 -DWITH_POSTGRESQL=1 -DWITH_MEMCACHE=1 \
 -DWITH_REDIS=1 \
 -DWITH_PCRE=1 -DFCGI_INCLUDE_DIR=%{_includedir}/fastcgi 

%cmake_build

%install
%cmake_install

mv $RPM_BUILD_ROOT/usr/lib/* $RPM_BUILD_ROOT%{_libdir}

chrpath --delete $RPM_BUILD_ROOT%{_bindir}/mapcache_seed
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/mapcache_detail
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/mapcache.fcgi
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/httpd/modules/mod_mapcache.so
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libmapcache.so.1.12.0

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*
%doc LICENSE
%doc README.rst
%doc MIGRATION_GUIDE.txt

%changelog
* Mon May 09 2022 Karlis Kalviskis <karlis.kalviskis@lu.lv> - 1.12.0-K04
- Added missing dependencies.

* Mon May 09 2022 Karlis Kalviskis <karlis.kalviskis@lu.lv> - 1.12.0-K02
- Compiled with the Berkeley DB  support.

* Fri May 06 2022 Karlis Kalviskis <karlis.kalviskis@lu.lv> - 1.12.0-K01
- New version
- Rebuild for Fedora

* Mon Feb 23 2015 Pavel Lisy <pavel.lisy@gmail.com> - 1.2.1-1
- Rebuild for EL6

* Wed Apr 10 2013 tuukka.pasanen@ilmi.fi
- New version 1.2.1
    + MS RFC 96: Time Dimension Support in MapCache Tilesets.
    + MS RFC 97: Dynamic creation of higher zoom levels tiles.
    + Migration to cmake
    + Fix image resampling bug when outside grid limits (#85)
    + report failed WMS requests or cache->sets immediately
    + Use versioned SONAME for libmapcache.
